Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 539478 - sys-apps/portage-2.2.16: AttributeError: 'SyncManager' object has no attribute 'portdb' (with FEATURES=metadata-transfer enabled)
Summary: sys-apps/portage-2.2.16: AttributeError: 'SyncManager' object has no attribut...
Status: RESOLVED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS, REGRESSION
Depends on:
Blocks: 484436
  Show dependency tree
 
Reported: 2015-02-09 15:38 UTC by Francesco Riosa
Modified: 2015-02-12 06:05 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Francesco Riosa 2015-02-09 15:38:54 UTC
new portage fail to sync



gentoo portage # emerge --sync
>>> Syncing repository 'x11' into '/g/ovl/x11'...
/usr/bin/git pull
Already up-to-date.
=== Sync completed for x11
Traceback (most recent call last):
  File "/usr/lib/python-exec/python2.7/emerge", line 50, in <module>
    retval = emerge_main()
  File "/usr/lib64/python2.7/site-packages/_emerge/main.py", line 1121, in emerge_main
    return run_action(emerge_config)
  File "/usr/lib64/python2.7/site-packages/_emerge/actions.py", line 3054, in run_action
    return action_sync(emerge_config)
  File "/usr/lib64/python2.7/site-packages/_emerge/actions.py", line 1929, in action_sync
    retvals = syncer.auto_sync(options={'return-messages': False})
  File "/usr/lib64/python2.7/site-packages/portage/emaint/modules/sync/sync.py", line 94, in auto_sync
    emaint_opts=options)
  File "/usr/lib64/python2.7/site-packages/portage/emaint/modules/sync/sync.py", line 219, in _sync
    returncode, message = sync_manager.sync(self.emerge_config, repo)
  File "/usr/lib64/python2.7/site-packages/portage/sync/controller.py", line 148, in sync
    taskmaster.run_tasks(tasks, func, status, options=task_opts)
  File "/usr/lib64/python2.7/site-packages/portage/sync/controller.py", line 72, in run_tasks
    self.callback(result)
  File "/usr/lib64/python2.7/site-packages/portage/sync/controller.py", line 164, in do_callback
    self.callback(exitcode, updatecache_flg)
  File "/usr/lib64/python2.7/site-packages/portage/sync/controller.py", line 318, in _sync_callback
    action_metadata(self.settings, self.portdb, self.emerge_config.opts,
AttributeError: 'SyncManager' object has no attribute 'portdb'
gentoo portage #





gentoo portage # emerge --info
Portage 2.2.16 (python 2.7.9-final-0, default/linux/amd64/13.0/desktop/kde/systemd, gcc-4.9.2, glibc-2.20-r1, 3.16.0-24-generic x86_64)
=================================================================
System uname: Linux-3.16.0-24-generic-x86_64-Intel-R-_Core-TM-_i7_CPU_X_980_@_3.33GHz-with-gentoo-2.2
KiB Mem:    24681796 total,  13694368 free
KiB Swap:    2097148 total,   1956136 free
Timestamp of repository gentoo: Mon, 09 Feb 2015 09:15:01 +0000
sh bash 4.3_p33-r1
ld ld di GNU (Gentoo 2.24 p1.4) 2.24
distcc 3.2rc1 x86_64-pc-linux-gnu [disabled]
ccache version 3.2.1 [disabled]
app-shells/bash:          4.3_p33-r1::gentoo
dev-java/java-config:     2.2.0::gentoo
dev-lang/perl:            5.20.1-r4::gentoo
dev-lang/python:          2.7.9-r2::gentoo, 3.3.5-r1::gentoo, 3.4.2::gentoo
dev-util/ccache:          3.2.1-r1::gentoo
dev-util/cmake:           3.1.0::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.13.9::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.10.3-r1::gentoo, 1.11.6-r1::gentoo, 1.12.6::gentoo, 1.13.4::gentoo, 1.15::gentoo
sys-devel/binutils:       2.24-r3::gentoo
sys-devel/gcc:            4.8.4::gentoo, 4.9.2::gentoo
sys-devel/gcc-config:     1.8::gentoo
sys-devel/libtool:        2.4.5::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.18::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r1::gentoo
Repositories:

x11
    location: /g/ovl/x11
    sync-type: git
    sync-uri: git://git.overlays.gentoo.org/proj/x11
    masters: gentoo
    priority: 1000

kde
    location: /g/ovl/kde
    sync-type: git
    sync-uri: https://github.com/gentoo/kde.git
    masters: gentoo
    priority: 4000

gentoo
    location: /g/portage
    sync-type: rsync
    sync-uri: rsync://rsync.europe.gentoo.org/gentoo-portage
    priority: 5000

vivovl
    location: /g/ovl/tmp
    masters: gentoo
    priority: 5100

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=westmere -pipe -frecord-gcc-switches -fdiagnostics-color=never -ggdb3 -gdwarf-4 -fvar-tracking-assignments -Wdate-time -mno-3dnow -mno-sse4a -mno-movbe -mno-sha -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-bmi2 -mno-tbm -mno-avx -mno-avx2 -mno-lzcnt -mno-rtm -mno-hle -mno-rdrnd -mno-f16c -mno-fsgsbase -mno-rdseed -mno-prfchw -mno-adx -mno-xsave -mno-xsaveopt -mno-avx512f -mno-avx512er -mno-avx512cd -mno-avx512pf -mno-prefetchwt1 --param=l1-cache-size=32 --param=l1-cache-line-size=64 --param=l2-cache-size=12288 -mtune=westmere -mno-bmi2 -mno-avx2 -mno-lzcnt -mrdrnd --param=l1-cache-size=32 -mno-rtm -mno-hle -mno-rdseed -mno-prfchw -mno-adx "
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/conf.d /etc/init.d /usr/share/config /usr/share/config/kdm /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0 /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/skel /etc/terminfo"
CXXFLAGS="-O2 -march=westmere -pipe -frecord-gcc-switches -fdiagnostics-color=never -ggdb3 -gdwarf-4 -fvar-tracking-assignments -Wdate-time -mno-3dnow -mno-sse4a -mno-movbe -mno-sha -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-bmi2 -mno-tbm -mno-avx -mno-avx2 -mno-lzcnt -mno-rtm -mno-hle -mno-rdrnd -mno-f16c -mno-fsgsbase -mno-rdseed -mno-prfchw -mno-adx -mno-xsave -mno-xsaveopt -mno-avx512f -mno-avx512er -mno-avx512cd -mno-avx512pf -mno-prefetchwt1 --param=l1-cache-size=32 --param=l1-cache-line-size=64 --param=l2-cache-size=12288 -mtune=westmere -mno-bmi2 -mno-avx2 -mno-lzcnt -mrdrnd --param=l1-cache-size=32 -mno-rtm -mno-hle -mno-rdseed -mno-prfchw -mno-adx -fvisibility-inlines-hidden -fabi-version=8 -std=c++11 -ffor-scope -fstrict-enums -fuse-cxa-atexit -ffat-lto-objects"
DISTDIR="/g/distfiles"
EMERGE_DEFAULT_OPTS="--ask-enter-invalid --quiet-build=y"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg clean-logs compress-build-logs compressdebug config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles merge-sync metadata-transfer news noinfo notitles parallel-fetch protect-owned sandbox sfperms skiprocheck splitdebug strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.spline.inf.fu-berlin.de/mirrors/gentoo/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo"
LANG="it_IT.utf8"
LC_ALL="it_IT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu -Wl,--build-id"
MAKEOPTS="-j12 -s"
PKGDIR="/g/packages"
PORTAGE_COMPRESS="/usr/bin/xz"
PORTAGE_COMPRESS_FLAGS="-3"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac accessibility acl acpi aiglx aim alsa amd64 artswrappersuid audiofile avahi avx bash-completion berkdb bidi bluetooth bzip2 c++0x cairo cdda cddb cdr cjk cli cpudetection cracklib crypt cups cxx dbus declarative dga dri dts dv dvb dvd dvdr dvdread dvi efi egl emboss encode exif fam fame fat ffmpeg firefox flac foomatic-db freetype gcj gdbm gif gimpprint glamor gles2 gmp gnutls gphoto2 gpm gsm gtk hardened harfbuzz hfs iconv icq ieee1394 imap inotify ipod ipv6 irc irda jabber jack jfs joystick jpeg justify kde kdeenablefinal kdehiddenvisibility kerberos kipi lame lcd lcms ldap libnotify live lm_sensors lz4 lzo mad mail matroska mjpeg mmx mng modules mozdevelop mp3 mp3rtp mp4 mpeg msn mtp multilib musepack musicbrainz ncurses network nls nptl nsplugin ntfs ogg openal opencl opengl openmp pam pango pax_kernel pcmcia pcre pda pdf perl phonon plasma png policykit ppds pulseaudio pypy python qt3support qt4 r600-llvm-compiler rar rdesktop readline real reiserfs rss scanner sdl semantic-desktop session slp smpeg speex spell sse sse2 sse4_1 ssl ssse3 startup-notification stream svg sysfs systemd tcpd theora threads tiff truetype udev udisks unicode upower urandom usb v4l v4l2 visualization vorbis wifi win32codecs wmf wxwidgets x264 xattr xcb xcomposite xfs xine xinerama xml xmp xpm xprint xscreensaver xtpax xulrunner xv xvid xvmc yahoo zeroconf zlib" ABI_X86="64" ALSA_CARDS="emu10k1x darla20 darla24 emu10k1 gina20 gina24 hdsp hdspm ice1712 indigo indigoio layla20 layla24 mia mixart mona pcxhr rme32 rme96 sb16 sbawe sscape usbusx2y vx222 usb-usx2y" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" CALLIGRA_FEATURES="krita braindump flow stage words sheets karbon* kexi plan author" CAMERAS="agfa_cl20 casio_qv dimagev dimera3500 kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica_qm150 panasonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ricoh_g3 sipix_blink sipix_blink2 sipix_web2 sony_dscf1 sony_dscf55 toshiba_pdrm11 adc65 aox barbie canon clicksmart310 digigr8 digita directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 konica largan lg_gsm mars mustek pccam300 pccam600 ptp2 ricoh samsung sierra smal sonix soundvision spca50x sq905 stv0674 stv0680 sx330z template" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" DRACUT_MODULES="caps cifs dmsquash-live livenet mdraid nfs ssh-client syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64 pc" INPUT_DEVICES="evdev void" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it en en_US" LIRC_DEVICES="audio audio_alsa serial pctv" NGINX_MODULES_HTTP="access auth_basic autoindex browser charset empty_gif fastcgi geo gzip limit_conn limit_req map memcached proxy referer rewrite scgi split_clients ssi upstream_ip_hash userid uwsgi fancyindex" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4 pypy pypy3" QEMU_SOFTMMU_TARGETS="arm cris m68k microblaze mips mips64 mips64el mipsel ppc ppc64 ppcemb sh4 sh4eb sparc sparc64 x86_64" QEMU_USER_TARGETS="arm x86_64" RUBY_TARGETS="ruby22" SANE_BACKENDS="kvs40xx mustek_usb2" USERLAND="GNU" VIDEO_CARDS="fbdev vesa intel modesetting i915 nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Francesco Riosa 2015-02-09 15:42:11 UTC
gentoo portage # find . -type f  | grep -v -e Doc   
./postsync.d/q-reinitialize
./repos.conf/x11.conf
./repos.conf/tmp.conf
./repos.conf/kde.conf
./repos.conf/layman.conf
./repos.conf/gentoo.conf
./repo.postsync.d/example
./savedconfig/sys-apps/busybox-1.23.1-r1
./savedconfig/sys-kernel/linux-firmware-20141009
./smart-live-rebuild.conf
./patches/media-libs/mesa.ok/mesa-undefined-symbols.patch
./patches/sys-cluster/galera-23.2.4-r1/00148.patch
./patches/sys-cluster/galera-23.2.4-r1/00149-got_rid_of_exception_specifications_altogether.patch
./patches/kde-base/kdelibs/solid-debug.patch
./patches/media-gfx/rawstudio-2.0/add-gthread-reference.patch
./patches/media-gfx/exiv2-dont-apply/exiv2-0.23-boost-fs-contrib.patch
./patches/sys-devel/dragonegg-3.2.no/0002-gcc-4.8-port-non-mechanical-changes.patch
./patches/sys-devel/dragonegg-3.2.no/0001-gcc-4.8-port-mechanical-changes.patch
./patches/sys-devel/done-gcc:4.7/gcc-bug-53113.patch
./patches/dev-libs/glib/fix_this_shit.patch
./profile/package.use.mask/package.use.mask
./profile/package.use.mask/cross-armv7a-hardfloat-linux-gnueabi
./profile/use.mask
./profile/package.use.force/package.use.force
./profile/package.use.force/cross-armv7a-hardfloat-linux-gnueabi
./profile/package.provided
./make.profile/parent
./package.mask/99-tmp
./package.mask/90-qt-tmp
./package.env/old
./package.env/package.env
./package.unmask/70-hardened
./package.unmask/11-kde-frameworks
./package.unmask/81-no32
./package.unmask/80-multilib
./package.unmask/99-tmp
./package.unmask/10-kde-frameworks
./package.unmask/90-qt54
./bin/post_sync
./bashrc.tinderbox
./env/seed-cflags-simple
./env/media-libs/mesa
./env/OLD/openmpi
./env/OLD/sys-devel/distcc
./env/OLD/seed-graphite-lto
./env/OLD/seed-no_graphite
./env/OLD/seed-space
./env/OLD/seed-gcc47
./env/OLD/seed-test
./env/OLD/seed-no_lto
./env/OLD/seed-loffice
./env/OLD/seed-c++11
./env/seed-gcc
./env/seed-no-visibility
./env/seed-pthread
./env/seed-utf8
./env/seed-gcc48
./env/cross-armv7a-hardfloat-linux-gnueabi/linux-headers.conf
./env/cross-armv7a-hardfloat-linux-gnueabi/gcc.conf
./env/cross-armv7a-hardfloat-linux-gnueabi/glibc.conf
./env/cross-armv7a-hardfloat-linux-gnueabi/binutils.conf
./env/cross-armv7a-hardfloat-linux-gnueabi/gdb.conf
./env/cross-x86_64-w64-mingw32-glibc/gdb
./env/cross-x86_64-w64-mingw32-glibc/mingw64-runtime
./env/cross-x86_64-w64-mingw32-glibc/gcc
./env/cross-x86_64-w64-mingw32-glibc/binutils
./env/cross-x86_64-w64-mingw32-glibc/insight
./env/seed-glibc
./env/seed-no-abi-compat
./env/seed-no-c++11
./env/seed-fno-tree-vrp
./env/seed-clang
./env/seed-debug
./env/cflags.pgo
./package.accept_keywords/10-kde-frameworks
./package.accept_keywords/90-unstable
./package.accept_keywords/50-world
./package.accept_keywords/qt-5.4
./package.accept_keywords/20-deps
./make.conf
./bashrc
./package.use/70-qt5
./package.use/50-world
./package.use/80-no32
./package.use/60-forced
./package.use/90-python_single_target
./package.use/85-system
./package.use/99-tmp
./make.conf.catalyst
Comment 2 Francesco Riosa 2015-02-09 15:44:53 UTC
gentoo Doc # eselect  python  list
Available Python interpreters:
  [1]   python2.7 *
  [2]   python3.3
  [3]   python3.4
gentoo Doc # eselect  python set 3
gentoo Doc # emerge --sync
>>> Syncing repository 'x11' into '/g/ovl/x11'...
/usr/bin/git pull
Already up-to-date.
=== Sync completed for x11
Traceback (most recent call last):
  File "/usr/lib/python-exec/python3.4/emerge", line 50, in <module>
    retval = emerge_main()
  File "/usr/lib64/python3.4/site-packages/_emerge/main.py", line 1121, in emerge_main
    return run_action(emerge_config)
  File "/usr/lib64/python3.4/site-packages/_emerge/actions.py", line 3054, in run_action
    return action_sync(emerge_config)
  File "/usr/lib64/python3.4/site-packages/_emerge/actions.py", line 1929, in action_sync
    retvals = syncer.auto_sync(options={'return-messages': False})
  File "/usr/lib64/python3.4/site-packages/portage/emaint/modules/sync/sync.py", line 94, in auto_sync
    emaint_opts=options)
  File "/usr/lib64/python3.4/site-packages/portage/emaint/modules/sync/sync.py", line 219, in _sync
    returncode, message = sync_manager.sync(self.emerge_config, repo)
  File "/usr/lib64/python3.4/site-packages/portage/sync/controller.py", line 148, in sync
    taskmaster.run_tasks(tasks, func, status, options=task_opts)
  File "/usr/lib64/python3.4/site-packages/portage/sync/controller.py", line 72, in run_tasks
    self.callback(result)
  File "/usr/lib64/python3.4/site-packages/portage/sync/controller.py", line 164, in do_callback
    self.callback(exitcode, updatecache_flg)
  File "/usr/lib64/python3.4/site-packages/portage/sync/controller.py", line 318, in _sync_callback
    action_metadata(self.settings, self.portdb, self.emerge_config.opts,
AttributeError: 'SyncManager' object has no attribute 'portdb'
gentoo Doc #
Comment 3 Francesco Riosa 2015-02-09 15:47:53 UTC
gentoo Doc # emaint sync -r gentoo
>>> Syncing repository 'gentoo' into '/g/portage'...
>>> Starting rsync with rsync://137.226.34.42/gentoo-portage...
>>> Checking server timestamp ...
*******************************************************
=======================================================
Welcome to the ftp.halifax.rwth-aachen.de rsync mirror
=======================================================

Please don't use compression (-z) or checksums (-c).
Both features are disabled!

=======================================================
=======================================================

receiving incremental file list
timestamp.chk

Number of files: 1 (reg: 1)
Number of created files: 0
Number of regular files transferred: 1
Total file size: 32 bytes
Total transferred file size: 32 bytes
Literal data: 32 bytes
Matched data: 0 bytes
File list size: 33
File list generation time: 0.001 seconds
File list transfer time: 0.000 seconds
Total bytes sent: 98
Total bytes received: 558

sent 98 bytes  received 558 bytes  437.33 bytes/sec
total size is 32  speedup is 0.05
*******************************************************
=======================================================
Welcome to the ftp.halifax.rwth-aachen.de rsync mirror
=======================================================

Please don't use compression (-z) or checksums (-c).
Both features are disabled!

=======================================================
=======================================================

receiving incremental file list
app-portage/epm/ChangeLog
app-portage/epm/Manifest
.......
....
......
www-client/chromium/metadata.xml
www-client/phantomjs/ChangeLog
www-client/phantomjs/Manifest
www-plugins/chrome-binary-plugins/ChangeLog
www-plugins/chrome-binary-plugins/Manifest
www-plugins/chrome-binary-plugins/chrome-binary-plugins-40.0.2214.111_p1.ebuild
www-plugins/chrome-binary-plugins/chrome-binary-plugins-41.0.2272.43_beta1.ebuild
www-plugins/chrome-binary-plugins/chrome-binary-plugins-42.0.2292.0_alpha1.ebuild
www-plugins/chrome-binary-plugins/chrome-binary-plugins-9999.ebuild

Number of files: 180,097 (reg: 153,865, dir: 26,232)
Number of created files: 26 (reg: 26)
Number of regular files transferred: 188
Total file size: 333.05M bytes
Total transferred file size: 1.93M bytes
Literal data: 1.93M bytes
Matched data: 0 bytes
File list size: 3.80M
File list generation time: 0.001 seconds
File list transfer time: 0.000 seconds
Total bytes sent: 29.98K
Total bytes received: 6.59M

sent 29.98K bytes  received 6.59M bytes  1.47M bytes/sec
total size is 333.05M  speedup is 50.31
=== Sync completed for gentoo
Traceback (most recent call last):
  File "/usr/lib/python-exec/python3.4/emaint", line 36, in <module>
    emaint_main(sys.argv[1:])
  File "/usr/lib64/python3.4/site-packages/portage/emaint/main.py", line 242, in emaint_main
    taskmaster.run_tasks(tasks, func, status, options=task_opts)
  File "/usr/lib64/python3.4/site-packages/portage/emaint/main.py", line 139, in run_tasks
    result = getattr(inst, func)(**kwargs)
  File "/usr/lib64/python3.4/site-packages/portage/emaint/modules/sync/sync.py", line 129, in repo
    emaint_opts=options)
  File "/usr/lib64/python3.4/site-packages/portage/emaint/modules/sync/sync.py", line 219, in _sync
    returncode, message = sync_manager.sync(self.emerge_config, repo)
  File "/usr/lib64/python3.4/site-packages/portage/sync/controller.py", line 148, in sync
    taskmaster.run_tasks(tasks, func, status, options=task_opts)
  File "/usr/lib64/python3.4/site-packages/portage/sync/controller.py", line 72, in run_tasks
    self.callback(result)
  File "/usr/lib64/python3.4/site-packages/portage/sync/controller.py", line 164, in do_callback
    self.callback(exitcode, updatecache_flg)
  File "/usr/lib64/python3.4/site-packages/portage/sync/controller.py", line 318, in _sync_callback
    action_metadata(self.settings, self.portdb, self.emerge_config.opts,
AttributeError: 'SyncManager' object has no attribute 'portdb'
Comment 4 Alexey Shvetsov gentoo-dev 2015-02-09 15:53:54 UTC
Also get same errot after migration to repos.conf
Comment 5 Guillaume Ceccarelli 2015-02-09 17:18:38 UTC
Getting same error as well.

'emerge --sync' output

>>> Syncing repository 'gentoo' into '/usr/portage'...                                                                              
>>> Starting rsync with rsync://91.121.124.139/gentoo-portage/...                                                                  
>>> Checking server timestamp ...                                                                                                  
receiving file list ... done                                                                                                        
timestamp.chk                                                                                                                      
                                                                                                                                   
(... regular file list as the sync progresses ...)                                                                           
                                                                                                                                   
Number of files: 180,093 (reg: 153,861, dir: 26,232)                                                                                
Number of created files: 10 (reg: 10)                                                                                              
Number of regular files transferred: 71                                                                                            
Total file size: 333.04M bytes                                                                                                      
Total transferred file size: 1.09M bytes                                                                                            
Literal data: 1.09M bytes                                                                                                          
Matched data: 0 bytes                                                                                                              
File list size: 4.48M                                                                                                              
File list generation time: 11.757 seconds                                                                                          
File list transfer time: 0.000 seconds                                                                                              
Total bytes sent: 1.72K                                                                                                            
Total bytes received: 4.80M                                                                                                        
                                                                                                                                   
sent 1.72K bytes  received 4.80M bytes  355.57K bytes/sec                                                                          
total size is 333.04M  speedup is 69.38                                                                                            
=== Sync completed for gentoo                                                                                                      
Traceback (most recent call last):                                                                                                  
  File "/usr/lib/python-exec/python3.3/emerge", line 50, in <module>                                                                
    retval = emerge_main()                                                                                                          
  File "/usr/lib64/python3.3/site-packages/_emerge/main.py", line 1121, in emerge_main                                              
    return run_action(emerge_config)                                                                                                
  File "/usr/lib64/python3.3/site-packages/_emerge/actions.py", line 3054, in run_action                                            
    return action_sync(emerge_config)                                                                                              
  File "/usr/lib64/python3.3/site-packages/_emerge/actions.py", line 1929, in action_sync                                          
    retvals = syncer.auto_sync(options={'return-messages': False})                                                                  
  File "/usr/lib64/python3.3/site-packages/portage/emaint/modules/sync/sync.py", line 94, in auto_sync                              
    emaint_opts=options)                                                                                                            
  File "/usr/lib64/python3.3/site-packages/portage/emaint/modules/sync/sync.py", line 219, in _sync                                
    returncode, message = sync_manager.sync(self.emerge_config, repo)                                                              
  File "/usr/lib64/python3.3/site-packages/portage/sync/controller.py", line 148, in sync                                          
    taskmaster.run_tasks(tasks, func, status, options=task_opts)                                                                    
  File "/usr/lib64/python3.3/site-packages/portage/sync/controller.py", line 72, in run_tasks                                      
    self.callback(result)                                                                                                          
  File "/usr/lib64/python3.3/site-packages/portage/sync/controller.py", line 164, in do_callback                                    
    self.callback(exitcode, updatecache_flg)                                                                                        
  File "/usr/lib64/python3.3/site-packages/portage/sync/controller.py", line 318, in _sync_callback                                
    action_metadata(self.settings, self.portdb, self.emerge_config.opts,                                                            
AttributeError: 'SyncManager' object has no attribute 'portdb'



'portageq repositories_configuration /' output

[DEFAULT]
auto-sync = yes
main-repo = gentoo
 
[gentoo]
auto-sync = yes
location = /usr/portage
masters =
priority = 100
sync-type = rsync
sync-uri = rsync://gentoo.mirrors.ovh.net/gentoo-portage
 
[local]
auto-sync = no
location = /usr/local/portage
masters = gentoo
priority = 200
Comment 6 Brian Dolbec gentoo-dev 2015-02-09 20:17:54 UTC
Can you test portage-9999 please, It should be fixed in commit: 
https://github.com/gentoo/portage/commit/a1091d4b0c538cfabc1f67e7758d7c9bab71a040

along with 2 other small fixes.

If all is good I'll bump the portage release.
Comment 7 Francesco Riosa 2015-02-10 08:18:04 UTC
confirmed fixed
BTW could "emaint sync" be the default for "emaint sync -a"?


gentoo portage # emaint sync -r x11
>>> Syncing repository 'x11' into '/g/ovl/x11'...
/usr/bin/git pull
Already up-to-date.
=== Sync completed for x11

>>> Updating Portage cache
100% [=======================================================================>]


 * An update to portage is available. It is _highly_ recommended
 * that you update portage now, before any other packages are updated.

 * To update portage, run 'emerge --oneshot portage' now.

Action: sync for repo: x11, returned code = 0
Comment 8 Francesco Riosa 2015-02-10 08:22:55 UTC
people will need to issue a 

`emaint sync -r gentoo`

or they will never be able to get the ebuild for the new portage (if they use overlays)
Comment 9 Francesco Riosa 2015-02-10 08:25:49 UTC
or
FEATURES="-metadata-transfer" emaint sync -a 

:p
Comment 10 Brian Dolbec gentoo-dev 2015-02-12 06:05:48 UTC
Released in portage-2.2.17